org.keycloak.subsystem.extension

## Class KeycloakExtension

- java.lang.Object
- - org.keycloak.subsystem.extension.KeycloakExtension

- All Implemented Interfaces:
    org.jboss.as.controller.Extension

      public class KeycloakExtension
      extends Object
      implements org.jboss.as.controller.Extension

  Main Extension class for the subsystem.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2013 Red Hat Inc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAMESPACE`
    `static String` | `SUBSYSTEM_NAME`
    `protected static org.jboss.as.controller.PathElement` | `SUBSYSTEM_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakExtension()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.jboss.as.controller.descriptions.StandardResourceDescriptionResolver` | `getResourceDescriptionResolver(String... keyPrefix)`
    `void` | `initialize(org.jboss.as.controller.ExtensionContext context)`
    `void` | `initializeParsers(org.jboss.as.controller.parsing.ExtensionParsingContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUBSYSTEM_NAME

          public static final String SUBSYSTEM_NAME

      See Also:
        Constant Field Values

    - #### NAMESPACE

          public static final String NAMESPACE

      See Also:
        Constant Field Values

    - #### SUBSYSTEM_PATH

          protected static final org.jboss.as.controller.PathElement SUBSYSTEM_PATH

  - ### Constructor Detail

    - #### KeycloakExtension

          public KeycloakExtension()

  - ### Method Detail

    - #### getResourceDescriptionResolver

          public static org.jboss.as.controller.descriptions.StandardResourceDescriptionResolver getResourceDescriptionResolver(String... keyPrefix)

    - #### initializeParsers

          public void initializeParsers(org.jboss.as.controller.parsing.ExtensionParsingContext context)

      Specified by:
        `initializeParsers` in interface `org.jboss.as.controller.Extension`

    - #### initialize

          public void initialize(org.jboss.as.controller.ExtensionContext context)

      Specified by:
        `initialize` in interface `org.jboss.as.controller.Extension`

Copyright © 2015. All Rights Reserved.